Ubuntu

version 173.14.30 driver is buggy for NVidia GeForce FX series

Reported by Arie Skliarouk on 2011-04-28
718
This bug affects 148 people
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Undecided
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
Undecided
Unassigned

Bug Description

Video card: 01:00.0 0300: 10de:0322 (rev a1) "nVidia Corporation NV34 [GeForce FX 5200] (rev a1)"

Installed ubuntu Natty 11.04 and installed proposed "NVIDIA accelerated graphics driver (version 173)"
nvidia-173 (version 173.14.30-0ubuntu1)

After reboot the screen became 640x480 and unity login got stuck.
Had to do "apt-get remove nvidia-173".

In jockey show this "This driver is activated but not currently in use".
nvidia-173 is the recommended driver.

tags: added: natty
wormser (armeaney) wrote :
wormser (armeaney) wrote :

I have the same issue with this NVIDIA model with 173.14.30 on Natty 11.04 . Under Additional Drivers it says, "This driver is activated but not currently in use".

VGA compatible controller: nVidia Corporation NV34M [GeForce FX Go5200 64M] (rev a1)

Tim Wernicke (pprspam) wrote :

I also see this in11.04 with nvidia Quadro NVS 140M. "This driver is activated but not currently in use". This is true for both version 173 and "(version current) [Recommended]".

iulian baciu (iulian-baciu19) wrote :

It shows me the same thing, "This driver is activated but not currently in use"
and I wonder if this is the reason why on my desktop unity doesn't load at all,
just the wallpaper, but the classic gnome works fine.

flagos (flagospub) wrote :

Hi,

I also confirm the bug for GeForce FX 5200 with version173.

Boot in rescue mode only works here, version 173 makes the screen flickering...

T Meyer (tbdsoulman) wrote :

Hello,

The same bug appears on my NVIDIA GeForce GT 525M with NVIDIA-Current drivers. The System (11.04) just starts Ubuntu-Classic and the driver is activated but not in use (jockey). When i edit the xorg.conf File by adding "Driver nv" or "Driver nvidia" the system is unable to boot the x server.

Matthew Dailey (2blocks) wrote :

I have the exact same video card and issue as T Meyer:

The same bug appears on my NVIDIA GeForce GT 525M with NVIDIA-Current drivers. The System (11.04) just starts Ubuntu-Classic and the driver is activated but not in use (jockey). When i edit the xorg.conf File by adding "Driver nv" or "Driver nvidia" the system is unable to boot the x server.

Tjano (tjano-xibalba) wrote :

Same bug on Nvidia 8800GTX. Also my video card has high temperature - 83C. And visual effects does not works (looks like driver really does not works).

I had not such problems in 10.10.

Pikkolo (pikkolo) wrote :

natty, nvidia gtx 460 se, this driver is activated but not currently in use
Hello

After installing natty, I got this message

this driver is activated but not currently in use

on the bottom of the Additional Drivers gui.

On the header, it says : No proprietary drivers are in use on this system

I must say that I have found the Nvidia Control Panel being already installed after the first boot after installing, that looks strange.

But I want to have the proprietary drivers working fine, may I ask for your help ?

useResa (rdrijsen) wrote :

Same issue in natty with the following graphics card: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

Driver installed is nvidia-current (Version: 270.41.06-0ubuntu1)

Violet (violet123) wrote :

I have the same problem in 11.04 I have GeForce Fx 5500 and nvidia-173 driver. "This driver is activated but not currently in use", desktop effects don't work in Ubuntu Classic and I can't use Unity (I can only see wallpaper)

Heine Pedersen (kyozodk) wrote :

I have the same problem in a fresh install of 11.04.

My Gfx card is an Onboard Nvidia GeForce 6150 with 512 MB Ram.

I have tried enabling both the 173 version and the current (270.41.06), but Unity is not loading, and desktop effects are not available in Ubunty Classic.

The first time i booted the newly installed OS I received a warning that my system hardware was not up to specs to run Unity. I then activated the Nvidia proprietary drivers, but to no luck.

I even found somewhere where it was suggested that I reinstall the kernel using:
sudo apt-get install --reinstall linux-headers-2.6.38-8-generic-pae
sudo apt-get install --reinstall linux-image-2.6.38-8-generic-pae

but that changed nothing.

Erik Shaw (3eshaw) wrote :

I got the same error with a NVIDIA GeForce 310M and 1 GB Ram...

I have the same issue with an NVIDIA Quadro 120 and 512MB ram.

Waldgeist_dI (noway) wrote :

lspci|grep nVidia:
03:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce 7900 GTX] (rev a1)

cat /etc/lsb-release:
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"

uname -a:
Linux Waldriese 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

I don't have obvious problems with unity, however I also get the message that the current nVidia driver is active but not in use.

glxinfo|grep render:
direct rendering: Yes

glxgears works and spits out more than 7000 frames per second but looks nothing like smooth. It's as if the gears are hardly moving. Very jerky appearance.

What other info shall I provide?

Jim Holman (jdholman) wrote :

Same for me:

01:00.0 VGA compatible controller: nVidia Corporation G92 [Quadro FX 3700M] (rev a2)

Running NVidia (version current) on 64-bit Ubuntu 11.04.

I also can't activate dual displays.

David Newman (drdrnewman) wrote :

Same problem here under Kubuntu 11.04. I also get the message that the current nVidia driver is active but not in use.

In addition, the KDE System Settings does not show the nVidia driver settings (at 60 Hz) but instead shows a Default at 50 Hz. This did not happen in Kubuntu 10.10, where it was clear from the KDE System Settings/ Display and Monitor which was being used. Note that I am still using Xorg for KDE.

$ lspci | grep nVidia
02:00.0 VGA compatible controller: nVidia Corporation GF106 [GeForce 450 GTS] (rev a1)
02:00.1 Audio device: nVidia Corporation GF106 High Definition Audio Controller (rev a1)

$ uname -a
Linux davidrnewman 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce GTS 450/PCI/SSE2
    GL_NV_blend_square, GL_NV_complex_primitives, GL_NV_conditional_render,
    GL_NVX_conditional_render, GL_NVX_gpu_memory_info, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

The display is definitely responding more slowly than under Kubuntu 10.10. E.g. a 3 min. delay in starting mythfrontend on KDE.

It shows me the same thing, "This driver is activated but not currently in use"

affects: unity-shell → unity
Jeffrey Walton (noloader) wrote :

Me too....

The display attempts to show a desktop, but cycles between a plain background and then a background with expected desktop icons (and then back to a plain desktop, ad infinitum). Booting into safe mode works as expected with a message about Unity.

#lshw
           ...
           *-display
                description: VGA compatible controller
                product: NV34 [GeForce FX 5200]
                vendor: nVidia Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                version: a1
                width: 32 bits
                clock: 66MHz
                capabilities: pm agp agp-3.0 vga_controller bus_master cap_list rom
                configuration: driver=nvidia latency=64 maxlatency=1 mingnt=5
                resources: irq:16 memory:fd000000-fdffffff memory:f0000000-f7ffffff memory:fea00000-fea1ffff

Steve Caldwell (stevecaldwell) wrote :

I've got the same error with NVIDIA GeForce FX 5200. The workaround for this is to use the older Gnome interface with Ubuntu 11.04.

Rudi Daemen (fludizz) wrote :

Same problem here using a Nvidia Quadro FX 880M card.

"Driver is activated but not currently in use."

Using glxgears, it said it did about 4000 fps on the command line but on the display the gears are only moving at about 1 frame every 5 seconds. glxinfo states direct rendering is enabled.

Michael Pelley (mpelley) wrote :

I have the same problem - Drive installed but not activated. I have a Dell XPS L501X with the nVidia GeForce GT 435M.

* glxgears post over 4,500 fps but on the screen they don't move at all (they, _can't_ be going that fast, can they?).
* NVIDIA X Server Settings info:
     * driver 270.41.06
     * GLX Information: Direct Rendering - yes, Version 1.4
     * OpenGL Information: Version 4.1.0 NVIDIA 270.41.06

I can run both Unity and "Classic" but I have no 3D effects at all. The "plain old" Alt-Tab gives very poor resolution of the running apps.

The video card, via gkrellm, seems to indicate that the GPU is running about 10C higher under 11.04 versus 10.10.

description: updated

I also have the same problem on a fresh install, running 2 GTS-250s in SLI. Additional Drivers shows that Nvidia Current is active, but not in use.
I have tried reinstalling the kernel headers, as well as the nvidia-current package, neither of which has worked.

$ uname -a
Linux parents-desktop 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr 11 05:17:09 UTC 2011 i686 athlon i386 GNU/Linux
$ lspci | grep VGA
04:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce GTS 250] (rev a2)
05:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce GTS 250] (rev a2)

another thing to mention - this was a fresh install, and I never installed anything from the Addition Drivers screen - from the first time I opened Addition Drivers, the nvidia-current was already highlighted as installed (but not active)

Gary Mellor (garyjmellor) wrote :

As per other posters I see the comment "No proprietary drivers are in use on this system." Later in the 'Additional Drivers' dialog it states: "This driver is activated but not currently in use." I don't see the version it recommends, it simply says: "NVIDIA accelerated graphics driver (version current) [Recommended]". I have an NVIDIA GeForce G210M on board. If I opt to remove the driver and reboot, when I next go to the Additional Drivers dialog it shows me I can activate the driver. When I do so and reboot it tells me the same message "No proprietary drivers are in use on this system." Like an earlier poster I also have the NVIDIA X-Server Setting app installed out of the box. This is all occurring on 11.04.

Bryce Hardy (cygniapolis) wrote :

Same problem here:

VGA compatible controller: nVidia Corporation G98 [GeForce 9300M GS] (rev a1)
All "yes" output from "/usr/lib/nux/unity_support_test -p"

"Driver Activated But Not Currently In Use"
Using "Current" driver. Also same result with older "173" driver.
No advantage in logging into "Classic" desktop. Same problem.
No advantage in fresh-installing Xubuntu 11.04. Same problem.

Although videos play, even simple games freeze and die. Otherwise the Unity desktop is functional but appears laggy and slow.
Open source "experimental" drivers are NOT a solution. Games still won't play.

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug #771788 , so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

I've a Nvidia Geforce go 7300 and is activate but not currently in use. The driver version is 270.41.06.

Unity in ubuntu session and compiz in ubuntu classic don't work.

Ryan A (arnaudin) wrote :

I have a similar system as Michael Pelley (#22): GeForce GT 435M on a Dell XPS L501X.

I have the same problems and see "Driver installed but not activated."

Everything else is pretty much identical to what he describes.

Ryan A (arnaudin) wrote :

Sorry, the message should read, "This driver is activated but not currently in use."

Doug McMahon (mc3man) wrote :

The orig. reporter here is using an fx 5200 - adjusted the dupe to the proper bug for THAT card and the 173.XX nvidia drivers

Roger Goldfigner (rgoldfinger) wrote :

Same problem. Macbook 5,1

The message i get is "This driver is activated but not currently in use." compiz effects and Unity are available.
Graphics performance is very slow glxgears are mainly standing stil.
open gl screensavers are extremely slow .

Graphics card is nvidia 310m with 512 mb ram

Jamezelle (jamezelle1) wrote :

same shit, asus g53jw nvidea GTX 460m NVIDIA Driver Version: 270.41.06

same here with GeForce GT 330M (no Optimus) and 270.41.06. But the Nvidia driver module is loaded and work with the bugs of this version in https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/761575

Ghenghis (mystic-one) wrote :

Same for Nvidia Geoforce 9800m. Driver activated but not currently in use. Affects games run on wine, Unity 3d, other open gl games, rendering eof video on web ex. Youtube. I did the upgrade this morning that was pushed down the pipe and same results. Nvidia driver activated but not currently in use.

Soul-Sing (soulzing) wrote :

Same here: "This driver is activated but not currently in use."
~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce 7600 GT/PCI/SSE2
    GL_NV_vertex_program3, GL_NVX_conditional_render, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

Same here: "This driver is activated but not currently in use."

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce Go 7300/PCI/SSE2
    GL_NV_vertex_program3, GL_NVX_conditional_render, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

$ lspci | grep -i nvid
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS 110M/GeForce Go 7300] (rev a1)

$ dpkg -l | grep -i nvidia
ii nvidia-current 270.41.06-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings 270.29-0ubuntu1 Tool of configuring the NVIDIA graphics driver

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"

(Un)Installed & Reinstalled Nvidia-Driver, running nvidia-xconfig did not improve the situation.

Same here: "This driver is activated but not currently in use."

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce 7300 SE/7200 GS/PCI/SSE2
    GL_NV_vertex_program3, GL_NVX_conditional_render, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

$ lspci | grep -i nvid
05:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7300 SE/7200 GS] (rev a1)

$ dpkg -l | grep -i nvidia
ii nvidia-173 173.14.30-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
ii nvidia-current 270.41.06-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings 270.29-0ubuntu1 Tool of configuring the NVIDIA graphics driver

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=11.04
DISTRIB_CODENAME=natty
DISTRIB_DESCRIPTION="Ubuntu 11.04"

Youssef Shehab (youssefs78) wrote :

The same "This driver is activated but not currently in use."

*-display
                description: VGA compatible controller
                product: G72M [Quadro NVS 110M/GeForce Go 7300]
                vendor: nVidia Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                version: a1
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
                configuration: driver=nvidia latency=0
                resources: irq:16 memory:ed000000-edffffff memory:d0000000-dfffffff memory:ee000000-eeffffff memory:ef000000-ef01ffff

Omer Akram (om26er) on 2011-05-14
Changed in jockey (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
druisan (druisan) on 2011-05-14
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: New → Confirmed
druisan (druisan) on 2011-05-22
summary: - version 173.14.30 is buggy for GeForce FX 5200
+ version 173.14.30 is buggy for NVidia GeForce FX series
druisan (druisan) on 2011-06-02
Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
druisan (druisan) on 2011-06-03
Changed in jockey (Ubuntu):
status: New → Confirmed
33 comments hidden view all 113 comments
Download full text (3.3 KiB)

I found this thread when I noticed when running the Additional Drivers app that I also see 2 selections. First one is titled "NVIDIA accelerated graphics driver 173", the 2nd one is called "NVIDIA accelerated graphics driver (version current) [Recommended]. It appears that my card should work with the other driver, just wondering what the difference between these two sets of drivers are. Version 173 in the Additional Drivers window says "this driver is not activated" while the one with the moniker (version current) says "this driver is active but not currently in use" Let me know if I can post any other info to help:

I will attempt to run version 173 and come back after testing it.

uname -a
Linux tower-AY138AAR-ABA-CQ5320Y 2.6.38-8-generic #42-Ubuntu SMP Mon Apr 11 03:31:24 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

/usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 240/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

$ lspci|grep nVidia
00:00.0 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP61 USB Controller (rev a3)
00:02.1 USB Controller: nVidia Corporation MCP61 USB Controller (rev a3)
00:04.0 PCI bridge: nVidia Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)
00:07.0 Bridge: nVidia Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:08.1 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
02:00.0 VGA compatible controller: nVidia Corporation GT215 [GeForce GT 240] (rev a2)
02:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)

$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: GeForce GT 240/PCI/SSE2
    GL_NV_conditional_render, GL_NV_copy_depth_to_color, GL_NV_copy_image,
    GL_NVX_conditional_render, GL_NVX_gpu_memory_info, GL_OES_depth24,
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

dpkg -l | grep -i nvidia
ii nvidia-173 173.14.30-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
ii nvidia-current 270.41.06-0ubuntu1 NVIDIA bi...

Read more...

dvon (davidvonduhn) wrote :

Well, I tried running 173 and it failed just like the others (black screen at boot).

In case anyone stumbles upon this thread that is looking for a fix for this driver, there seems to be a dozen different ways to do it. The easiest way seems to be this method:

Reboot Computer, hold down shift key until you reach Grub menu.
Select Recovery Mode from that menu.
Ubuntu 11.4 (Natty) will then alert you that Unity will not work with the drivers you have installed and will then launch Classic.
From the Classic toolbar up top, merely rerun the driver app and remove 173.
Then select the other version(s) of the driver that was working for you previously.

I hope they fix this bug for Natty soon, I really want to use the capabilities of my video card soon.

Has anybody managed to find any workaround?

druisan (druisan) wrote :

At least most of NVidia graphic cards support Nouveau. Anyways I'd like to get this fixed, because Nouveau doesn't provide the whole 3D acceleration.

tags: added: driver nvidia

I also have some problems, as others I have version 173 listed but not active and the recommended is activated but not in use.
VGA card is 6200 Turbocache.If Firefox is running and I also open Thunderbird then T'birds opening page is fine but if I then go to the write page then I get a white screen but for the 3 screen icons in the top left hand corner. This does not happen if Firefox is not running, it has only started since upgrade to 11.04, also I had it set so that the screen, how to explain, went wobbly as it changed from min to max, now I cant set that up, silly thing but it's not right.The white screen thing also happens when say on Facebook I try to save an image the page goes to what should be a directory listing but instead shows the white screen as before.
I have got the Unity app running as it was automatically installed for me when I upgraded to 11.04
Another thing I've noticed is that if I run Thunderbird first and then Firefox then I get the white screen as explained but by running the mouse cursor about in Google (my home page) I can find the search bar as the cursor changes to a flashing upright bar, so running blind if I click on that, type something and press enter the prog seems to be running but nothing appears, I know it's there though cos I can track where the text is with the mouse cursor.
I'm a bit of a newbie so be gentle with me. Firefox 4.0.1 Thunderbird 3.1.10
Sorry to be a bit long winded but more info must help,........I think.

I have the same problem, with NVIDIA ION graphics card, ubuntu 11.04 and Windows 7 dual-boot.
NVIDIA accelerated graphics driver (version current) [Recommended]
"This driver is activated but not currently in use."
And unity doesn't work.

druisan (druisan) on 2011-06-19
tags: added: 11.04 173.14.30 fx geforce
druisan (druisan) wrote :

I modified a bit the bug tittle.

summary: - version 173.14.30 is buggy for NVidia GeForce FX series
+ version 173.14.30 driver is buggy for NVidia GeForce FX series
Sean Aitken (sean-aitken) wrote :

I don't like being just a "Me, too!", but the question I have is whether the problem here is Unity, some other library, or the NVIDIA drivers. I'm trying to use Blender on my dual boot HP notebook, and noticed that the Nouveau drivers work better in two main ways:
- Unity 3D works
- HIbernate, suspend and other power management features work!

The only issue is that the performance isn't great, and I get artifacts when I do certain things in Blender. I also get some graphics corruption after a power management resume.

Because of this observed behavior, I'm inclined to think that real problem lies in the drivers, and as such, perhaps this thread should be forwarded to their Linux support forum. I could not find any mention to these issues in their forums:
http://www.nvnews.net/vbulletin/forumdisplay.php?f=14

After struggling with other things, it's a shame that these cards don't work right. They seem to be quite common "in the wild". I hope that they (the Unity team or NVIDIA) can get these issues worked out. Everything else is quite solid for me (running 11.04).

Changed in unity (Ubuntu):
importance: Undecided → Medium
Goffredo Marocchi (panajev) wrote :
Download full text (4.9 KiB)

It affects my system at work as well. Both with regular Xorg stack as well as with the edgers' repo.
I am running with the 173.x drivers which have the common "active... but not in use" problem as others have mentioned here before. Also, the standard Xorg configuration nVIDIA generates does not correctly recognizes the PCI address of the card so I had to comment that line out just to boot Ubuntu with the nVIDIA drivers (either that or deleting the xorg.conf file did the trick). GL feels very slow too although glxgears reports FPS to be above 1,000. lsmod does show "nvidia 8107272 36" BTW.
Ubuntu Classic *(with effects) does work, while Unity does not. I do not see menus and I see desktop icons appearing and disappearing very quickly. Not usable at all running Unity.

-----------------------------------------
Unity support test:
/usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: Quadro PCI-E Series/PCI/SSE2
OpenGL version string: 2.1.2 NVIDIA 173.14.30

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes
-----------------------------------------

-----------------------------------------
dpkg -l | grep -i nvidia
ii nvidia-173 173.14.30-0ubuntu1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
ii nvidia-settings 275.09.07-0ubuntu1~edgers~natty Tool of configuring the NVIDIA graphics driver
-----------------------------------------

-----------------------------------------
lspci |grep -i nvid
40:00.0 VGA compatible controller: nVidia Corporation NV37GL [Quadro PCI-E Series] (rev a2)
-----------------------------------------

-----------------------------------------
# nvidia-settings: X configuration file generated by nvidia-settings
# nvidia-settings: version 275.09.07 (buildd@charichuelo) Wed Jun 15 20:08:12 UTC 2011

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder58) Sat Apr 16 22:49:04 PDT 2011

Section "ServerLayout"
    Identifier "Layout0"
    Screen 0 "Screen0" 0 0
    InputDevice "Keyboard0" "CoreKeyboard"
    InputDevice "Mouse0" "CorePointer"
    Option "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "InputDevice"
    # generated from default
    Identifier "Keyboard0"
    Driver "kbd"
EndSection

Section "InputDevice"
    # generated from default
    Identifier "Mouse0"
    Driver "mouse"
    Option "Protocol" "auto"
    Option "Device" "/dev/psaux"
    Option "Emulate3Buttons" "no"
    Option "ZAxisMapping" "4 5"
EndSection

Section "M...

Read more...

G. Carrillo (cmemo1) wrote :

I have the exact same video card and issue as T Meyer:

The same bug appears on my NVIDIA GeForce GT 525M with NVIDIA-Current drivers. The System (11.04) just starts Ubuntu-Classic and the driver is activated but not in use (jockey). When i edit the xorg.conf File by adding "Driver nv" or "Driver nvidia" the system is unable to boot the x server.

Ashraf (julianus-iba) wrote :

i had before that "This driver is activated but not currently in use" but before 2 days i had upgrade i did but now i can't activate the nvidia geforce 8400m gz and u know after that new upgrade can't start the ubuntu just black screen i go to the recovary and from there i start my ubuntu ah notice : the last upgrade i had when i have the ubuntu 11.4
      *-display
                description: VGA compatible controller
                product: G86 [GeForce 8400M GS]
                vendor: nVidia Corporation
                physical id: 0
                bus info: pci@0000:01:00.0
                version: a1
                width: 64 bits
                clock: 33MHz
                capabilities: vga_controller bus_master cap_list rom
                configuration: driver=nouveau latency=0
                resources: irq:16 memory:ce000000-ceffffff memory:d0000000-dfffffff memory:cc000000-cdffffff ioport:2000(size=128)

 /usr/lib/nux/unity_support_test -p
OpenGL vendor string: nouveau
OpenGL renderer string: Gallium 0.4 on NV86
OpenGL version string: 2.1 Mesa 7.12-devel

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

 glxinfo |grep render
direct rendering: Yes
OpenGL renderer string: Gallium 0.4 on NV86
    GL_EXT_vertex_array_bgra, GL_NV_conditional_render,
freedom@FreeDom:~$ lspci |grep -i nvid
01:00.0 VGA compatible controller: nVidia Corporation G86 [GeForce 8400M GS] (rev a1)
freedom@FreeDom:~$ dpkg -l |grep -i nvidia
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
rc nvidia-current 275.09.07-0ubuntu1~edgers~natty NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-settings 275.09.07-0ubuntu1~xup~natty Tool of configuring the NVIDIA graphics driver

Same problem amd same card as T meyer.

The same bug appears on my NVIDIA GeForce GT 525M with NVIDIA-Current drivers. The System (11.04) just starts Ubuntu-Classic and the driver is activated but not in use (jockey). When i edit the xorg.conf File by adding "Driver nv" or "Driver nvidia" the system is unable to boot the x server.

Ivan Sorensen (runequester) wrote :

This occurs for me on an Nvidia G100 card under Kubuntu 11.4, so the problem isn't specific to Unity.

Performance in 3D games is noticeably worse than under 10.10

Anekdotchik (anekdotchik) wrote :

The same bug appears on my NVIDIA GeForce GT 525M.

Linuxexperte (andrea-koeth) wrote :

Can confirm the same here on my System LinuxMint 11 Katya.

Graphic-card:

02:00.0 VGA compatible controller: nVidia Corporation C79 [GeForce 9200M G] (rev b1)

andrea@MintSchleppi ~ $ uname -a
Linux MintSchleppi 2.6.38-10-generic #46-Ubuntu SMP Tue Jun 28 15:07:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
andrea@MintSchleppi ~ $

andrea@MintSchleppi ~ $ dpkg -l | grep -i nvidia
ii nouveau-firmware 20091212-0ubuntu1 Firmware for nVidia graphics cards
ii nvidia-common 0.2.30 Find obsolete NVIDIA drivers
andrea@MintSchleppi ~ $

System: Gnome-Desktop 3.0.2 with Gnome-Shell
Gnome-Shell-version: 3.1.3

Kernel: 2.6.38-10-generic (x86_64)
Architecture: x86_64

I notice, that my grphiccard often overheats with nouveau-driver and I have to switch off my Notebook. And if I try to install nvidia-current, my jockey shows the message: nvidia-current activated but not in use. But this nouveau-driver is not solution for the future, because of melting graphiccard.

And what I also found out is, that nvidia-current-modaliases is a direct dependency of nvidia-current. But of nvidia-current-modaliases being a lower version than nvidia-current, these two packages conflickt with each other and this causes nvidia-current not to work in Ubuntu 11.04 as well as in LinuxMint 11 Katya

John Mish (jmish1987) wrote :

Not sure if this is related...
I've instlaled both Kubuntu 11.04 and Ubuntu 10.10 on my desktop with a MSI GeForce GTS 450 and both installations have the same results, except:

In Kubuntu 11.04, I get the famous "Activated but not in use" message, while in Ubuntu 10.10 I don't get this message.
Both installations used nvidia-latest, which at the time, was 275.09.07.
Both installations had no issue using Extra effects and decking out the desktops with all kinds of special effects.

After about 2-3 hours of computing, or opening anything using graphics (not sure the connection) everything display wise slows to a crawl, with framerates in the area of 3-4 fps. this happens when I play Minecraft (a java game), do ANYTHING with wine, even configuration, or if the screensaver takes over. Youtube seems to be fine. Looking at top, free -m and system monitor show no issue with high memory or CPU usage, so it must be something related to graphics. A quick check shows that the graphics card is not overheating or anything, either, because I can play Crysis 2 with almost max graphics settings without much of any lag on Windows without the thing overheating (that and the temp of the GPU is like..49-51C on a hot day)

this makes the PC absolutely useless until I can figure out how to fix it.

ef (mike-globalfunkradio) wrote :

Same problem here natty 11.04 Nvidia 9500GT
Installed but not active

Omer Akram (om26er) wrote :

bug 769402 says Geforce FX card are to be blacklisted for Unity-3d as they are not capable enough or the drivers are just broken.

ef, do remember this bug concentrates on the FX series cards so you are not facing this issue I believe

Primal-id (primal-id) wrote :

Not limited to FX series. I"m also getting it on both an upgrade and new install on same device
description: VGA compatible controller
       product: C67 [GeForce 7150M / nForce 630M]
       vendor: nVidia Corporation

Any update on when this will be fixed? This is a major problem. Windows often go blank.

ef (mike-globalfunkradio) wrote :

Omer,

This bug is affecting not only FX series.
Is there a specific bug for the geforce 7xxxx series I can submit bug report too?

doogie (doogie-scn) wrote :

friends,

a temporary fix to this problem that worked for me is to install UNITY 2D from the repositories. using unity 2d does not use the accelerated features of the graphics card. it looks exactly like unity 3d and also runs faster.

1. install unity 2d is in the repositories (synaptic package manager)

2. after installing you should restart your computer.

3. at the login window, select your account. you may have to switch the interface from ubuntu to unity 2d in the menu at the bottom of the screen in the login window AFTER you click on your account name.

4. your computer should boot to unity 2d. you will loose all accelerated 3d graphics - bad for gaming - but it makes the computer work for general purposes.

k.

ef (mike-globalfunkradio) wrote :

Hi Doogie, I am using Ubuntu classic mode in 11.04 (no unity) , and the bug is still an issue, the bug is for accelerated graphics being reported as not in use, regardless of Unity being used or not.

Peter Bjorndal (peterbjorndal) wrote :

I'm having the same problem. I have an nvidia GTX 460m driver and I am getting the same message. I can't watch or edit videos very well because of it.

Svilen (svilen-v) wrote :

I can confirm this with my GT 520 card, but when I deactivate the driver, reboot, activate again, and reboot again, everything seems to work fine again, even though Additional Drivers reports that driver is activated but currently not in use. Hopefully this will last.

ech0wave (skrieder) wrote :

Natty with 9800 GTX same error.

ech0wave, I use nvidia-current with nvida 9800gtx+ and it works
perfectly fine you are using the wrong driver

Ramin Nakisa (ramin-nakisa) wrote :

Same problem with natty and a GeForce 7100.

lspci|grep nVidia|grep VGA

02:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 7100 GS] (rev a1)

uname -a
Linux ilex 2.6.38-11-generic #48-Ubuntu SMP Fri Jul 29 19:05:14 UTC 2011 i686 athlon i386 GNU/Linux

glxinfo|grep render
direct rendering: Yes
OpenGL renderer string: GeForce 7100 GS/PCI/SSE2/3DNOW!
    GL_NVX_conditional_render, GL_SGIS_generate_mipmap, GL_SGIS_texture_lod,

Mihai Stancu (mihai.stancu) wrote :

It seams that Unity in Oneiric beta2 falls back to 2D so the "problem" is less of an issue.

Still i haven't found a workaround that actually enables my GeForce 525M (i'm using the onboard Intel graphics).

Has anyone found a reasonable sollution?

halw (wolfehl) on 2011-11-11
tags: added: 11.10 kubuntu
halw (wolfehl) wrote :

Same problem with Kubuntu 11.10 on Dell 5150 laptop with Nvidia geforce fx go5200 gpu. After activating 173 driver screen goes black after login screen. Prior to login screens are full of odd patterns.

FWIW, this was a fresh install.

druisan (druisan) wrote :

Guys, I had the same problem with FX. Now I'm using a new PC with GTX series (nvidia, of course) and Unity works fine. So confirmed, the problem is just for FX series.

gerstrong (gerstrong) wrote :

Blacklisting the nouveau drivers (the module) and installing the latest official drivers solve most of the related FX problems.

http://www.nvidia.de/object/linux-display-amd64-173.14.31-driver-de.html

Could the Ubuntu Team please update the package to that version? 173.14.30 has some bugs using FX cards.

Thanks!

alezflute (alezflute) wrote :

Is there anyone to confirm that with a manual install of the 173.14.31 driver unity-3d will work? With only one comment it feels a bit adventurous since the process isn't exactly noob-friendly.

Mihai Stancu (mihai.stancu) wrote :

@alezflute i just tried it, didn't work!

All manual install versions i've tried jammed at or before starting lightdm.

As a matter of procedure (maybe someone can pitch in some tips) i did the following:
1. killed the current lightdm from virtual console
2. ran installer
3. got an initial error stating "precleanup distribution provided scripts failed do you want to continue driver install anyway"
4. i went ahead and had an error-less install
5. at the end it complained not finding libGL.so.1 / libGLcore.so.1 and libGL.tls.so.1 and proceeded to create them as symlinks to it's own versions libGL.so.173.14.31 (i presumed it was looking for them in order to remove/replace them with the symlinks it made)
6. rebooted got stuck
7. entered virtual console and erased /etc/X11/xorg.conf
8. rebooted

This seamed to work each time i tried a new driver version.

alezflute (alezflute) wrote :

Did anyone give it a try with any alpha version of Precise? If I find the time to do so will post an update here.

Bobby Baker (rebaker203) wrote :

This same bug appears on my Nvidia FX5600 256mb AGP using the 173 driver after upgrading to Natty 11.04. This driver worked great in my customized Maverick 10.10. It ran compiz great. Now there is no 3d accel. Runs 2d gnome with no effects. It say's the recommended 173 driver is installed but not in use. Anyone have a solution for this yet? Will upgrading further to 11.10 fix it?

Denis Kniazhev (denis-k1985) wrote :

@rebaker203: Upgrading from 11.04 to 11.10 fixed the issue for me a while ago. I use 'GeForce GTS 450 Cyclone'.

alezflute (alezflute) wrote :

Version 173.14.34 is out, did someone try it ,Precise or other version?

no longer affects: unity
no longer affects: unity (Ubuntu)
alezflute (alezflute) wrote :

Why does it no longer affects unity? There is a bug with glx on the 32bit driver but apparently the 64bit one works.

Using driver 173 with Unity is not really recommended. If your card supports newer releases, please switch to them or rely on the open nouveau driver.

Changed in jockey (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers-173 (Ubuntu):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 113 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers